/*
 * Class EV_GRID_ROW
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_990 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_990 [] = {0xFF01,1551,989,0xFFFF};
static const EIF_TYPE_INDEX egt_2_990 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_3_990 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_990 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_990 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_6_990 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_7_990 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_990 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_990 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_990 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_990 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_990 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_13_990 [] = {0xFF01,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_14_990 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_990 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_990 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_990 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_990 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_990 [] = {0xFF01,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_20_990 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_21_990 [] = {0xFF01,1567,0xFF01,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_22_990 [] = {0xFF01,0xFF01,1031,0xFFFF};


static const struct desc_info desc_990[] = {
	{EIF_GENERIC(NULL), 24650, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_990), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_990), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_990), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_990), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_990), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_990), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_990), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_990), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_990), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_990), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_990), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_990), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BB /*989*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_990), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 4},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_990), 24647, 0},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24649, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24648, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24601, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_990), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_990), 16040, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_990), 16041, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_990), 16042, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_990), 16043, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_990), 24647, 0},
	{EIF_GENERIC(NULL), 24599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24651, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_990), 24652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BB /*989*/), 24654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x080F /*1031*/), 24655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BB /*989*/), 24656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07D3 /*1001*/), 24657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_990), 24658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24659, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24660, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 24665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 24666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24674, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24675, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24676, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24677, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24678, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24679, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24680, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24681, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24682, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24683, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24684, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24685, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24687, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24688, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24689, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24690, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24691, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24692, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24693, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24644, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24645, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_990), 24646, 0xFFFFFFFF},
};
void Init990(void)
{
	IDSC(desc_990, 0, 989);
	IDSC(desc_990 + 1, 1, 989);
	IDSC(desc_990 + 32, 1593, 989);
	IDSC(desc_990 + 47, 1640, 989);
	IDSC(desc_990 + 50, 590, 989);
	IDSC(desc_990 + 53, 1403, 989);
	IDSC(desc_990 + 58, 1524, 989);
	IDSC(desc_990 + 60, 1321, 989);
}


#ifdef __cplusplus
}
#endif
